Bug 567111 - Review Request: libunicapgtk - Library to build graphical widgets for the unicap library
Summary: Review Request: libunicapgtk - Library to build graphical widgets for the uni...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Thomas Janssen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 567110
Blocks: 530708
TreeView+ depends on / blocked
 
Reported: 2010-02-21 17:34 UTC by Robert Scheck
Modified: 2010-03-18 22:37 UTC (History)
5 users (show)

Fixed In Version: libunicapgtk-0.9.8-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-26 22:47:35 UTC
thomasj: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Robert Scheck 2010-02-21 17:34:44 UTC
Spec URL: http://labs.linuxnetz.de/bugzilla/libunicapgtk.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/libunicapgtk-0.9.8-1.src.rpm
Description:
Unicap provides a uniform interface to video capture devices. It allows
applications to use any supported video capture device via a single API.
Building applications with a graphical user interface is made especially
easy with the unicapGTK widget set.


Please note, that this a re-review request, because the unicap package was
splitted up by upstream into libunicap, libucil and libunicapgtk. Ensure to
follow http://fedoraproject.org/wiki/Package_Renaming_Process when reviewing
this package. Note that only all three libraries together replace the unicap
package, that's why there's no provides, just obsoletes.

Comment 1 Thomas Janssen 2010-02-25 13:43:26 UTC
Ok, this is a re-review request due to upstream name change.

OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
e801de57a9f37bffd892016d319a6a62  libunicapgtk-0.9.8.tar.gz
NN - Package needs ExcludeArch
OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
OK - Package is code or permissible content.
OK - Doc subpackage needed/used.
OK - Packages %doc files don't affect runtime.

OK - Headers/static libs in -devel subpackage.
OK - Spec has needed ldconfig in post and postun
OK - .pc files in -devel subpackage/requires pkgconfig
OK - .so files in -devel subpackage.
OK - -devel package Requires: %{name} = %{version}-%{release}
OK - .la files are removed.

NN - Package is a GUI app and has a .desktop file

OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
[thomas@tusdell srpm-review-test]$ rpmlint libunicapgtk.spec libunicapgtk-0.9.8-1.src.rpm 
libunicapgtk.src: W: spelling-error Summary(en_US) unicap -> uncap, uni cap, uni-cap
libunicapgtk.src: W: spelling-error %description -l en_US Unicap -> Uncap, Uni cap, Uni-cap
libunicapgtk.src: W: spelling-error %description -l en_US unicapGTK -> unicameral, unification, unicellular
1 packages and 1 specfiles checked; 0 errors, 3 warnings.
Only bogus warnings, can be ignored.

 

I have checked for obsoletes and provides. I had a chat in IRC with the
maintainer and this seems to be the sane way                       

APPROVED

Comment 2 Robert Scheck 2010-02-25 13:54:10 UTC
Thank you for reviewing the package.


New Package CVS Request
=======================
Package Name: libunicapgtk
Short Description: Library to build graphical widgets for the unicap library
Owners: robert
Branches: EL-5 F-11 F-12 F-13
InitialCC:

Comment 3 Jason Tibbitts 2010-02-25 17:49:38 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Fedora Update System 2010-02-26 22:36:27 UTC
libunicapgtk-0.9.8-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libunicapgtk-0.9.8-1.fc13

Comment 5 Fedora Update System 2010-02-26 22:37:13 UTC
libunicapgtk-0.9.8-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libunicapgtk-0.9.8-1.fc12

Comment 6 Fedora Update System 2010-02-26 22:38:50 UTC
libunicapgtk-0.9.8-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libunicapgtk-0.9.8-1.fc11

Comment 7 Fedora Update System 2010-02-26 22:58:48 UTC
libunicapgtk-0.9.8-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libunicapgtk-0.9.8-1.el5

Comment 8 Fedora Update System 2010-03-14 13:41:16 UTC
libunicapgtk-0.9.8-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-03-16 00:43:54 UTC
libunicapgtk-0.9.8-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-03-16 00:44:20 UTC
libunicapgtk-0.9.8-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-03-18 22:36:56 UTC
libunicapgtk-0.9.8-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.